### Property

# Adw AlertDialog:default-response

since: 1.5

#### Declaration

    property default-response: utf8 [ read, write ]

#### Description [src]

The response ID of the default response.

The button corresponding to this response will be set as the default widget of the dialog.

If not set, the default widget will not be set, and the last added response will be focused by default.

See `AdwDialog:default-widget`.

Type:`gchar*`

Available since: 1.5

Default value | NULL
Getter method | `adw_alert_dialog_get_default_response()`
Setter method | `adw_alert_dialog_set_default_response()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no